Curve< T >::CheckTGreaterThan Struct Reference

Used when finding values in the m_samples vector. More...

Inheritance diagram for Curve< T >::CheckTGreaterThan:

## Public Member Functions

| CheckTGreaterThan (float match)
bool | operator() (std::pair< float, T > test)

## Private Attributes

float | m_match

## Detailed Description

template<typename T>
struct Curve< T >::CheckTGreaterThan

Used when finding values in the m_samples vector.

Definition at line 132 of file Curve.h.

## Constructor & Destructor Documentation

## CheckTGreaterThan()

template<typename T>

Curve< T >::CheckTGreaterThan::CheckTGreaterThan | ( | float | match | ) |

inline

Definition at line 135 of file Curve.h.

: m_match(match)
{ }
Curve
Implements a simple function curve where samples of type T can be added along a 1D axis....
Definition Curve.h:96
Curve::CheckTGreaterThan::m_match
float m_match
Definition Curve.h:143

References m_match, and match().

## Member Function Documentation

## operator()()

template<typename T>

bool Curve< T >::CheckTGreaterThan::operator() | ( | std::pair< float, T > | test | ) |

inline

Definition at line 138 of file Curve.h.

{
return test.first > m_match;
}

References m_match.

## Member Data Documentation

## m_match

template<typename T>

float Curve< T >::CheckTGreaterThan::m_match

private

Definition at line 143 of file Curve.h.

Referenced by CheckTGreaterThan(), and operator()().

The documentation for this struct was generated from the following file:

- export/Curve.h